Package com.ocient.jdbc.proto

# Interface PlanProtocol.JoinColsOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.JoinCols`, `PlanProtocol.JoinCols.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.JoinColsOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getCol​(int index)` | `repeated string col = 1;`
`com.google.protobuf.ByteString` | `getColBytes​(int index)` | `repeated string col = 1;`
`int` | `getColCount()` | `repeated string col = 1;`
`List<String>` | `getColList()` | `repeated string col = 1;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getColList

List<String> getColList()
`repeated string col = 1;`

### getColCount

int getColCount()
`repeated string col = 1;`

### getCol

String getCol​(int index)
`repeated string col = 1;`

### getColBytes

com.google.protobuf.ByteString getColBytes​(int index)
`repeated string col = 1;`